function setEcharts() {
    var echartObj = echarts.init(document.getElementById('male_and_female_ratio'));
    var json = Android.getAgeAndSexTotalJson();
    var obj = eval("("+json+")");//解析json字符串
    var man = Android.getManString();
    var woman = Android.getWomanString();
    echartObj.clear();
    var option = {
        tooltip: {
            trigger: 'axis',
            axisPointer: {            // 坐标轴指示器，坐标轴触发有效
                type: 'line'        // 默认为直线，可选为：'line' | 'shadow'
            }
        },
        legend: {
            data: [man, woman],
            bottom:true,
            x: 'center',
            icon: 'circle',
            itemWidth: 6,
            itemHeight: 6,
            textStyle:{//图例文字的样式
                color:'#697093',
                fontSize:10
            }
            
        },
        grid: {
            left: '3%',
            right: '3%',
            bottom: '10%',
            top: '0%',
            containLabel: true
        },
        xAxis: {
            type: 'value',
             axisLine: {
                show: false
            },
            minInterval: 1,
            axisTick: {
                show: true,
                lineStyle:{
                    color:'#BBC0D3',  //坐标轴的颜色
                },
            },
            splitLine: {
                show: true,
                lineStyle:{
                    color:'#DEE0EB',
                    width:1,//这里是为了突出显示加上的
                    type:'dashed'
                }
            },
            axisLabel: {
                textStyle:{
                    color:'#BBC0D3',  //坐标的字体颜色
                },
            },
        },
        yAxis: {
            type: 'category',
            data: obj.ageGroup,
            axisLine:{
                lineStyle:{
                    color:'#BBC0D3',
                    width:1,//这里是为了突出显示加上的
                    type:'dashed'
                }
            },
            axisTick: {
                show: true,
                lineStyle:{
                    color:'#BBC0D3',  //坐标轴的颜色
                },
                interval:0,
                alignWithLabel:true,
            },
            barGap:16,
        },
        series: [
            {
                name: man,
                type: 'bar',
                color:'#0079FF',
                stack: '总量',
                label: {
                    show: false,
                    position: 'insideRight',
                },
                data:obj.maleValue,
                barCategoryGap: '50%',
            },
            {
                name: woman,
                type: 'bar',
                color:'#FF4081',
                stack: '总量',
                label: {
                    show: false,
                    position: 'insideRight'
                },
                data: obj.femaleValue,
                barCategoryGap: '50%',
            }
        ]
    };
    echartObj.setOption(option);
}
