function setEcharts() {
    var echartObj = echarts.init(document.getElementById('home_customer_echarts'));
    var json = Android.getFlowStoreJson();
    var obj = eval("("+json+")");//解析json字符串
    var all = Android.getAllString();
    var vip = Android.getVipString();
    var frequent = Android.getAcqString();
    var customer = Android.getCustomerString();
    echartObj.clear();

    var option = {
            backgroundColor: '#15204B',
            grid: {
                left: '3%',
                right: '3%',
                top: '10%',
                bottom: '15%',
                containLabel:true
            },
		    tooltip: {
			  trigger: 'axis',
			  position: ['50%', '30%']
		    },
            legend: {
                show: true,
                x: 'center',
                icon: 'circle',
                itemWidth: 6,
                itemHeight: 6,
                textStyle: {
                    color: '#FFFFFFCC',
                    fontSize: 10
                },
                bottom:true,
                bottom: '2%',
                data: [all, vip, frequent, customer]
            },
            xAxis: [{
                type: 'category',
                
                axisLabel: {
                    color: '#FFFFFF',
                    fontSize: 10
                },
                axisLine: {
                    show: true,
                    lineStyle: {
                        color: '#FFFFFF33'
                    }
                },
                axisTick: {
                    show: false,
                },
                
                data:obj.time
            }],
            yAxis: [{
                    type: 'value',
//                  min: 0,
//                  max: 500,
                    minInterval:1,
                    axisLabel: {
                        formatter: '{value}',
                        textStyle: {
                            color: '#ffffff',
                            fontSize: 10
                        }
                    },
                    axisLine: {
                        show:false,
                        lineStyle: {
                            color: '#27b4c2'
                        }
                    },
                    axisTick: {
                        show: false,
                    },
                    splitLine: {
                        show: true,
                        lineStyle: {
                            type: 'dashed',
                            color: '#11366e'
                        }
                    }
                }
            ],
            series: [{
                    name: all,
                    type: 'line',
                    symbol: 'circle',
                    symbolSize: 6,
                    itemStyle: {
                        normal: {
                            color: '#0092f6',
                            lineStyle: {
                                color: "#0092f6",
                                width: 1
                            }
                        }
                    },
                    markPoint: {
                        itemStyle: {
                            normal: {
                                color: 'red'
                            }
                        }
                    },
                    data: obj.all
                },
                {
                    name: vip,
                    type: 'line',
                    symbol: 'circle',
                    symbolSize: 6,

                    itemStyle: {
                        normal: {
                            color: '#FDA228',
                            lineStyle: {
                                color: "#FDA228",
                                width: 1
                            },
                        }
                    },
                    data: obj.vip
                },
                {
                    name: frequent,
                    type: 'line',
                    symbol: 'circle',
                    symbolSize: 6,
                    itemStyle: {
                        normal: {
                            color: '#FF4081',
                            lineStyle: {
                                color: "#FF4081",
                                width: 1
                            },
                        }
                    },
                    data: obj.frequent
                },
                {
                    name: customer,
                    type: 'line',
                    symbol: 'circle',
                    symbolSize: 6,
                    itemStyle: {
                        normal: {
                            color: '#36CE7F',
                            lineStyle: {
                                color: "#36CE7F",
                                width: 1
                            },
                        }
                    },
                    data: obj.strange
                }
            ]
        };
    echartObj.setOption(option);
 	document.body.ontouchend = function () {
               setTimeout(function () {
                 echartObj.dispatchAction({
                   type: 'hideTip'
                 })
               }, 2000)
      }
}
