function setEcharts() {
	var echartObj = echarts.init(document.getElementById('area_store_two_echarts'));

    var json = Android.getFlowStoreJson();
    var obj = eval("("+json+")");//解析json字符串
    var man = Android.getManString();
    var woman = Android.getWomanString();

	console.log("js:option" + JSON.stringify(obj));
	echartObj.clear();
	var option = {
		grid: {
			containLabel: true,
			left: '5px',
			top: '30px',
			right: '25px',
			bottom: '10px'
		},
		legend: {
			top: '-1px',
			right: '5px',
			icon: 'circle',
			itemWidth:5,
			data: [woman,man]
		},
		xAxis: {
			boundaryGap: false,
			data: obj.time,
			// 刻度不显示
			axisTick: {
				show: false
			},
			// 坐标轴颜色
			axisLine: {
				lineStyle: {
					color: '#ddd'
				}
			},
			splitLine: {
				show: true,
				lineStyle: {
					color: '#f5f9fc'
				}
			},
			// 刻度文字颜色
			axisLabel: {
				color: '#aaaaaa'
			}
		},
		yAxis: {
			// 刻度不显示
			axisTick: {
				show: false
			},
			axisLabel: {
				color: '#aaaaaa'
			},
			minInterval: 1,
			// 坐标轴在 grid 区域中的分隔线颜色
			splitLine: {
				lineStyle: {
					color: '#e4e4e4',
					type: 'dashed'
				}
			},
			axisLine: {
				show: false
			}
		},
		tooltip: {
			trigger: 'axis',
			position: ['50%', '50%']
		},
		series: [{
			name: woman,
			type: "line",
			z: 1,
			itemStyle: {
				normal: {
					color: "rgba(231,96,52,1)"
				}
			},
			areaStyle: {
				normal: {
					color: new echarts.graphic.LinearGradient(
						0, 0, 0, 1, [{
								offset: 0,
								color: '#fcd5ca'
							},
							{
								offset: 0.5,
								color: '#fff5f2'
							},
							{
								offset: 1,
								color: '#fff'
							}
						]
					)
				}
			},
			data: obj.total
		},
		{
            name: man,
            type: "line",
            z: 1,
            itemStyle: {
            	normal: {
            		color: "#88c7e6"
            	}
            },
            areaStyle: {
            	normal: {
            		color: new echarts.graphic.LinearGradient(
            			0, 0, 0, 1, [{
            					offset: 0,
            					color: '#91cce9'
            				},
            				{
            					offset: 0.5,
            					color: '#e5f6ff'
            				},
            				{
            					offset: 1,
            					color: '#ffffff'
            				}
            			]
            		)
            	}
            },
        	data: obj.acqua
        }]
	}
	echartObj.setOption(option);
	document.body.ontouchend = function () {
              setTimeout(function () {
                echartObj.dispatchAction({
                  type: 'hideTip'
                })
              }, 2000)
     }
}