function setEcharts() {
	var echartObj = echarts.init(document.getElementById('area_store_five_echarts'));

    var json = Android.getTimeAndAgePeriodJson();
    var obj = eval("("+json+")");//解析json字符串
    var strAge0 = Android.getAgeOne();
    var strAge1 = Android.getAgeTwo();
    var strAge2 = Android.getAgeThree();
    var strAge3 = Android.getAgeFour();
    var strAge4 = Android.getAgeFive();

	console.log("js:option" + JSON.stringify(obj));
	echartObj.clear();
	var option = {
		grid: {
			containLabel: true,
			left: '10px',
			top: '30px',
			right: '25px',
			bottom: '10px'
		},
		legend: {
			top: '-1px',
			right: '5px',
			icon: 'circle',
			itemWidth:5,
			data: [strAge0,strAge1,strAge2,strAge3,strAge4]
		},
		xAxis: {
			boundaryGap: false,
			data:obj.time,
			// 刻度不显示
			axisTick: {
				show: false
			},
			// 坐标轴颜色
			axisLine: {
				lineStyle: {
					color: '#ddd'
				}
			},
			splitLine: {
				show: true,
				lineStyle: {
					color: '#f5f9fc'
				}
			},
			// 刻度文字颜色
			axisLabel: {
				color: '#aaaaaa',
				fontSize : 10
			}
		},
		yAxis: {
			// 刻度不显示
			axisTick: {
				show: false
			},
			axisLabel: {
				color: '#aaaaaa'
			},
			minInterval: 1,
			// 坐标轴在 grid 区域中的分隔线颜色
			splitLine: {
				lineStyle: {
					color: '#e4e4e4',
					type: 'dashed'
				}
			},
			axisLine: {
				show: false
			}
		},
		tooltip: {
			trigger: 'axis',
			position: ['50%', '20%']
		},
		series: [{
			name: strAge0,
			type: "line",
			z: 1,
			itemStyle: {
				normal: {
					color: "#ecb939"
				}
			},
			areaStyle: {
				normal: {
					color: new echarts.graphic.LinearGradient(
						0, 0, 0, 1, [{
								offset: 0,
								color: '#fcf3d6'
							},
							{
								offset: 0.5,
								color: '#f4f6de'
							},
							{
								offset: 1,
								color: '#fff'
							}
						]
					)
				}
			},
			data: obj.age0
		},
		{
            name: strAge1,
            type: "line",
            z: 1,
            itemStyle: {
            	normal: {
            		color: "#88c7e8"
            	}
            },
            areaStyle: {
            	normal: {
            		color: new echarts.graphic.LinearGradient(
            			0, 0, 0, 1, [{
            					offset: 0,
            					color: '#ddf3fe'
            				},
            				{
            					offset: 0.5,
            					color: '#e6f7ff'
            				},
            				{
            					offset: 1,
            					color: '#ffffff'
            				}
            			]
            		)
            	}
            },
        	data: obj.age20
        },
		{
            name: strAge2,
            type: "line",
            z: 1,
            itemStyle: {
            	normal: {
            		color: "#e65d29"
            	}
            },
            areaStyle: {
            	normal: {
            		color: new echarts.graphic.LinearGradient(
            			0, 0, 0, 1, [{
            					offset: 0,
            					color: '#fef3ef'
            				},
            				{
            					offset: 0.5,
            					color: '#fff8f5'
            				},
            				{
            					offset: 1,
            					color: '#ffffff'
            				}
            			]
            		)
            	}
            },
        	data: obj.age30
        },
        {
        	name: strAge3,
        	type: "line",
        	z: 1,
        	itemStyle: {
        		normal: {
        			color: "#66cc00"
        		}
        	},
        	areaStyle: {
        		normal: {
        			color: new echarts.graphic.LinearGradient(
        				0, 0, 0, 1, [{
        						offset: 0,
        						color: '#effaec'
        					},
        					{
        						offset: 0.5,
        						color: '#edf9eb'
        					},
        					{
        						offset: 1,
        						color: '#ffffff'
        					}
        				]
        			)
        		}
        	},
        	data: obj.age40
            },
        {
        	name: strAge4,
        	type: "line",
        	z: 1,
        	itemStyle: {
        		normal: {
        			color: "#ce32ff"
        		}
        	},
        	areaStyle: {
        		normal: {
        			color: new echarts.graphic.LinearGradient(
        				0, 0, 0, 1, [{
        						offset: 0,
        						color: '#ecefff'
        					},
        					{
        						offset: 0.5,
        						color: '#f8f7fd'
        					},
        					{
        						offset: 1,
        						color: '#ffffff'
        					}
        				]
        			)
        		}
        	},
        	data: obj.age50
            },
        ]
	}
	echartObj.setOption(option);
	document.body.ontouchend = function () {
              setTimeout(function () {
                echartObj.dispatchAction({
                  type: 'hideTip'
                })
              }, 2000)
     }
}