function setBarEcharts(series, xAxis, legendData) {
	var echartObj = echarts.init(document.getElementById('bar_echarts'));

	var json = Android.getPeriodTimeToTalJson();
    var obj = eval("("+json+")");//解析json字符串

	echartObj.clear();
	var colors = ['#88c7e6', '#f1b054'];
	var city = obj.time;
	var data1 = obj.man;
	var data2 = obj.woman;
	var option = {
		color: colors,
		tooltip: {
			trigger: 'axis',
			axisPointer: {
				type: 'shadow'
			},
			position: ['50%', '50%']
		},
		grid: {
			containLabel: true,
			left: '15px',
			top: '30px',
			right: '15px',
			bottom: '15px'
		},
		legend: {
			top: '-1px',
			right: '15px',
			icon: 'circle',
			data: ['男', '女']
		},
		xAxis: [{
			type: 'category',
			// 刻度不显示
			axisTick: {
				show: false
			},
			// 刻度文字颜色
			axisLabel: {
				color: '#aaaaaa',
				rotate: 30
			},
			// 坐标轴颜色
			axisLine: {
				lineStyle: {
					color: '#ddd'
				}
			},
			data: city
		}],
		yAxis: {
			// 刻度不显示
			axisTick: {
				show: false
			},
			axisLabel: {
				color: '#aaaaaa'
			},
			minInterval: 1,
			// 坐标轴在 grid 区域中的分隔线颜色
			splitLine: {
				lineStyle: {
					color: '#e4e4e4',
					type: 'dashed'
				}
			},
			axisLine: {
				show: false
			}
		},
		series: [{
				name: '男',
				stack: '总量',
				type: 'bar',
				barWidth: 8,
				data: data1
			},
			{
				name: '女',
				stack: '总量',
				type: 'bar',
				barWidth: 8,
				data: data2
			}
		]
	};
	echartObj.setOption(option);
}